Packages: removed "loadconfig" and "saveconfig" actions.

This commit is contained in:
Andrei Belov 2018-09-26 15:24:49 +03:00
parent 6b8a992bfa
commit 446479b311
5 changed files with 4 additions and 118 deletions

View file

@ -15,14 +15,9 @@ PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/unitd
NAME=unitd
DESC=unitd
CONFIG=/etc/unit/config
[ -r /etc/default/${NAME} ] && . /etc/default/${NAME}
if [ -n "$2" ]; then
CONFIG=$2
fi
#includes lsb functions
. /lib/lsb/init-functions
@ -72,31 +67,8 @@ case "$1" in
log_end_msg 1
fi
;;
saveconfig)
curl -sS --unix-socket /var/run/control.unit.sock localhost >${CONFIG}.new
if [ $? -ne 0 ]; then
echo "Could not retreive configuration" >&2
rm -f ${CONFIG}.new
exit 1
fi
mv ${CONFIG}.new ${CONFIG}
echo "The following configuration has been saved to ${CONFIG}:"
cat ${CONFIG}
;;
loadconfig)
if [ ! -e ${CONFIG} ]; then
echo "Could not find ${CONFIG} for loading" >&2
exit 1
fi
echo "Loading configuration from ${CONFIG}..."
curl -sS -X PUT --data-binary @${CONFIG} --unix-socket /var/run/control.unit.sock localhost
if [ $? -ne 0 ]; then
echo "Loading failed!" >&2
exit 1
fi
;;
*)
echo "Usage: /etc/init.d/$NAME {start|status|stop|restart|reload|force-reload|saveconfig|loadconfig}" >&2
echo "Usage: /etc/init.d/$NAME {start|status|stop|restart|reload|force-reload}" >&2
exit 1
;;
esac

View file

@ -20,11 +20,6 @@
exec="/usr/sbin/unitd"
prog="unitd"
config="/etc/unit/unit.conf"
if [ -n "$2" ]; then
config=$2
fi
[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
@ -86,31 +81,8 @@ case "$1" in
rh_status_q || exit 0
restart
;;
saveconfig)
curl -sS --unix-socket /var/run/control.unit.sock localhost >${config}.new
if [ $? -ne 0 ]; then
echo "Could not retreive configuration" >&2
rm -f ${config}.new
exit 1
fi
mv ${config}.new ${config}
echo "The following configuration has been saved to ${config}:"
cat ${config}
;;
loadconfig)
if [ ! -e ${config} ]; then
echo "Could not find ${config} for loading" >&2
exit 1
fi
echo "Loading configuration from ${config}..."
curl -sS -X PUT --data-binary @${config} --unix-socket /var/run/control.unit.sock localhost
if [ $? -ne 0 ]; then
echo "Loading failed!" >&2
exit 1
fi
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|saveconfig|loadconfig}"
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart}"
exit 2
esac
exit $?

View file

@ -1,25 +0,0 @@
#!/bin/sh
#
# Legacy action script for "service unit loadconfig"
CONFIG=/etc/unit/config
if [ -n "$1" ] ; then
CONFIG=$1
fi
if [ ! -e ${CONFIG} ]; then
echo "Could not find ${CONFIG} for loading" >&2
exit 1
fi
echo "Loading configuration from ${CONFIG}..."
curl -sS -X PUT --data-binary @${CONFIG} --unix-socket /var/run/control.unit.sock localhost
if [ $? -ne 0 ]; then
echo "Loading failed!" >&2
exit 1
fi
exit 0

View file

@ -1,24 +0,0 @@
#!/bin/sh
#
# Legacy action script for "service unit saveconfig"
CONFIG=/etc/unit/config
if [ -n "$1" ] ; then
CONFIG=$1
fi
curl -sS --unix-socket /var/run/control.unit.sock localhost >${CONFIG}.new
if [ $? -ne 0 ]; then
echo "Could not retreive configuration" >&2
rm -f ${CONFIG}.new
exit 1
fi
mv ${CONFIG}.new ${CONFIG}
echo "The following configuration has been saved to ${CONFIG}:"
cat ${CONFIG}
exit 0

View file

@ -44,9 +44,7 @@ Source0: unit-%{version}.tar.gz
Source1: unit.service
Source2: unit.init
Source3: unit.sysconf
Source4: unit.saveconfig.sh
Source5: unit.loadconfig.sh
Source6: unit.example.config
Source4: unit.example.config
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@ -96,7 +94,7 @@ DESTDIR=%{buildroot} make unitd-install
%{buildroot}%{_sysconfdir}/sysconfig/unit
%{__mkdir} -p %{buildroot}%{_sysconfdir}/unit
%{__mkdir} -p %{buildroot}%{_datadir}/doc/unit/examples
%{__install} -m 644 -p %{SOURCE6} \
%{__install} -m 644 -p %{SOURCE4} \
%{buildroot}%{_datadir}/doc/unit/examples/example.config
%{__install} -m 644 -p CHANGES \
%{buildroot}%{_datadir}/doc/unit/
@ -109,11 +107,6 @@ DESTDIR=%{buildroot} make unitd-install
%if %{use_systemd}
%{__rm} -rf %{buildroot}%{_initrddir}/
%{__install} -p -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/unit.service
%{__mkdir} -p %{buildroot}%{_libexecdir}/initscripts/legacy-actions/unit
%{__install} -m755 %SOURCE4 \
%{buildroot}%{_libexecdir}/initscripts/legacy-actions/unit/saveconfig
%{__install} -m755 %SOURCE5 \
%{buildroot}%{_libexecdir}/initscripts/legacy-actions/unit/loadconfig
%else
%{__mkdir} -p %{buildroot}%{_initrddir}
%{__install} -p -D -m 0755 %{SOURCE2} %{buildroot}%{_initrddir}/unit
@ -182,8 +175,6 @@ fi
%dir %{_sysconfdir}/unit
%if %{use_systemd}
%{_unitdir}/unit.service
%dir %{_libexecdir}/initscripts/legacy-actions/unit
%{_libexecdir}/initscripts/legacy-actions/unit/*
%else
%{_initrddir}/unit
%endif